<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{540267BF-0000-0000-0000-000000000000}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon></ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>OpenSim.Framework.Servers</AssemblyName>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <AppDesignerFolder></AppDesignerFolder>
    <RootNamespace>OpenSim.Framework.Servers</RootNamespace>
    <StartupObject></StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>True</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>False</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <AllowUnsafeBlocks>False</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>False</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile></DocumentationFile>
    <DebugSymbols>False</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <Optimize>True</Optimize>
    <OutputPath>../../../bin/</OutputPath>
    <RegisterForComInterop>False</RegisterForComInterop>
    <RemoveIntegerChecks>False</RemoveIntegerChecks>
    <TreatWarningsAsErrors>False</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <NoWarn></NoWarn>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="HttpServer.dll" >
      <HintPath>..\..\..\bin\HttpServer.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="log4net.dll" >
      <HintPath>..\..\..\bin\log4net.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverse.dll" >
      <HintPath>..\..\..\bin\OpenMetaverse.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="OpenMetaverseTypes.dll" >
      <HintPath>..\..\..\bin\OpenMetaverseTypes.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System" >
      <HintPath>System.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System.Xml" >
      <HintPath>System.Xml.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="XMLRPC.dll" >
      <HintPath>..\..\..\bin\XMLRPC.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="../OpenSim.Framework.csproj">
      <Name>OpenSim.Framework</Name>
      <Project>{7404933D-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../Console/OpenSim.Framework.Console.csproj">
      <Name>OpenSim.Framework.Console</Name>
      <Project>{16759386-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="../Statistics/OpenSim.Framework.Statistics.csproj">
      <Name>OpenSim.Framework.Statistics</Name>
      <Project>{AB0CA094-0000-0000-0000-000000000000}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
			<Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BaseHTTPHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseHttpServer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseOpenSimServer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseRequestHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BaseStreamHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="BinaryStreamHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="CheckSumServer.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="GenericHTTPMethod.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IHttpAgentHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="IStreamHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LLSDMethod.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="LLSDMethodString.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="MessageServerInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="OSHttpRequest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="OSHttpResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="OSHttpStatusCodes.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestDeserialiseHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestHTTPHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestMethod.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestObjectPoster.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestObjectPosterResponse.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestSessionService.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="RestStreamHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="SynchronousRestObjectPoster.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="VersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="XmlRpcMethod.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSHARP.Targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>
